## libalkimia 4.3.1

=== CMakeLists.txt ===
# The CMake version we require
cmake_minimum_required(VERSION 2.6.4)

######################### libalkimia Version ##########################
# The current version of libalkimia (used for packages and config.h)
set(VERSION_MAJOR "4")
set(VERSION_MINOR "3")
set(VERSION_PATCH "1")

# Determine the SVN revision number (if we're based on SVN)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
  # make sure we don't use translated messages here
  set(LANG $ENV{LANG})
  set(ENV{LANG} "C")
  execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR} OUTPUT_VARIABLE VERSION_SUFFIX)
  string(REGEX MATCH "Revision: ([0-9]+)" VERSION_SUFFIX "${VERSION_SUFFIX}") 
  string(REPLACE "Revision: " "" VERSION_SUFFIX "${VERSION_SUFFIX}")
  set(VERSION_SUFFIX "-svn${VERSION_SUFFIX}")
  # switch back to the original language setting
  set(ENV{LANG} ${LANG})
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)

set(ALKIMIA_LIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
set(ALKIMIA_LIB_SOVERSION "${VERSION_MAJOR}")

# setup default CMAKE_INSTALL_PREFIX before calling FIND_PACKAGE(KDE4)
# see https://bugs.kde.org/show_bug.cgi?id=261132
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  execute_process(COMMAND kde4-config --prefix COMMAND tr -d "\n" OUTPUT_VARIABLE KDE4_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${KDE4_INSTALL_PREFIX}" CACHE PATH
    "Alkimia install prefix defaults to the KDE4 install prefix: ${KDE4_INSTALL_DIR}" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# check for PkgConfig, KDE and GMP
find_package(PkgConfig REQUIRED)
find_package(KDE4 REQUIRED)
find_package(GMP REQUIRED)

include(KDE4Defaults)
include_directories(${QDBUS_INCLUDE_DIRS} ${KDE4_INCLUDES})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DMAKE_ALK_LIB)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(alkimia_LIB_SRCS
  alkvalue.cpp
  alkquoteitem.cpp
  alkcompany.cpp
  )

set(alkimia_HEADERS
  alkvalue.h
  alkquoteitem.h
  alkcompany.h
  alk_export.h
  )

set(alkimia_CMAKE_MODULES
  FindLibAlkimia.cmake
  )

kde4_add_library(alkimia SHARED ${alkimia_LIB_SRCS})
 
target_link_libraries(alkimia ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${GMP_LIBRARIES})

set_target_properties(alkimia PROPERTIES VERSION ${ALKIMIA_LIB_VERSION} SOVERSION ${ALKIMIA_LIB_SOVERSION})

if (NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.pc IMMEDIATE @ONLY)
endif(NOT WIN32)

########### install files ###############

install(TARGETS alkimia ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES ${alkimia_HEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/alkimia COMPONENT Devel)

install(FILES ${alkimia_CMAKE_MODULES}
        DESTINATION ${KDE4_DATA_DIR}/cmake/modules COMPONENT Devel)

if (NOT WIN32)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)
########### documentation ###################

# check for Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory(${APIDOC_DIR})

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)

  add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
endif(DOXYGEN_FOUND)

########### tests ###################

set( alkvaluetest_SRCS alkvaluetest.cpp )
set( alkquoteitemtest_SRCS alkquoteitemtest.cpp )
set( alkcompanytest_SRCS alkcompanytest.cpp )
kde4_add_unit_test( alkvaluetest TESTNAME alkimia-alkvalue ${alkvaluetest_SRCS} )
kde4_add_unit_test( alkquoteitemtest TESTNAME alkimia-alkquoteitem ${alkquoteitemtest_SRCS} )
kde4_add_unit_test( alkcompanytest TESTNAME alkimia-alkcompany ${alkcompanytest_SRCS} )
target_link_libraries( alkvaluetest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )
target_link_libraries( alkquoteitemtest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )
target_link_libraries( alkcompanytest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

=== debian/changelog ===
libalkimia (4.3.1-1) unstable; urgency=low

  * Initial Debian Release (Closes: #644122)

 -- Mark Purcell <msp@debian.org>  Mon, 03 Oct 2011 12:16:22 +1100

libalkimia (4.3.1-0ubuntu1~ppa5) lucid; urgency=low

  * Lucid build.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:14:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa4) maverick; urgency=low

  * Maverick build

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 17:11:50 -0400

libalkimia (4.3.1-0ubuntu1~ppa3) natty; urgency=low

  * Version bump, no changes.

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 16:28:46 -0400

libalkimia (4.3.1-0ubuntu1~ppa1) natty; urgency=low

  * Initial packaging

 -- Clay Weber <claydoh@claydoh.com>  Sat, 13 Aug 2011 11:37:54 -0400

=== debian/control ===
Source: libalkimia
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
Build-Depends: debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp3-dev
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php?content=137323

Package: libalkimia4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Financial library common classes for KDE SC
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.

Package: libalkimia-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libalkimia4 (= ${binary:Version})
Description: Financial library - Development files
 Libalkimia is a library with common classes and functionality used by
 finance applications for the KDE SC. Currently it supports a common
 class to represent monetary values with arbitrary precision.
 .
 This package contains development files needed for Libalkimia.

## libalkimia 4.3.2

=== CMakeLists.txt ===
# The CMake version we require
cmake_minimum_required(VERSION 2.6.4)

add_subdirectory(libalkimia)

=== libalkimia/CMakeLists.txt ===
# The CMake version we require
cmake_minimum_required(VERSION 2.6.4)

######################### libalkimia Version ##########################
# The current version of libalkimia (used for packages and config.h)
set(VERSION_MAJOR "4")
set(VERSION_MINOR "3")
set(VERSION_PATCH "2")

# Determine the SVN revision number (if we're based on SVN)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)
  # make sure we don't use translated messages here
  set(LANG $ENV{LANG})
  set(ENV{LANG} "C")
  execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR} OUTPUT_VARIABLE VERSION_SUFFIX)
  string(REGEX MATCH "Revision: ([0-9]+)" VERSION_SUFFIX "${VERSION_SUFFIX}") 
  string(REPLACE "Revision: " "" VERSION_SUFFIX "${VERSION_SUFFIX}")
  set(VERSION_SUFFIX "-svn${VERSION_SUFFIX}")
  # switch back to the original language setting
  set(ENV{LANG} ${LANG})
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.svn)

set(ALKIMIA_LIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
set(ALKIMIA_LIB_SOVERSION "${VERSION_MAJOR}")

# setup default CMAKE_INSTALL_PREFIX before calling FIND_PACKAGE(KDE4)
# see https://bugs.kde.org/show_bug.cgi?id=261132
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  execute_process(COMMAND kde4-config --prefix COMMAND tr -d "\n" OUTPUT_VARIABLE KDE4_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${KDE4_INSTALL_PREFIX}" CACHE PATH
    "Alkimia install prefix defaults to the KDE4 install prefix: ${KDE4_INSTALL_DIR}" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# check for PkgConfig, KDE and GMP
find_package(PkgConfig REQUIRED)
find_package(KDE4 REQUIRED)
find_package(GMP REQUIRED)

include(KDE4Defaults)
include_directories(${QDBUS_INCLUDE_DIRS} ${KDE4_INCLUDES})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DMAKE_ALK_LIB)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(alkimia_LIB_SRCS
  alkvalue.cpp
  alkquoteitem.cpp
  alkcompany.cpp
  )

set(alkimia_HEADERS
  alkvalue.h
  alkquoteitem.h
  alkcompany.h
  alk_export.h
  )

set(alkimia_CMAKE_MODULES
  FindLibAlkimia.cmake
  )

kde4_add_library(alkimia SHARED ${alkimia_LIB_SRCS})
 
target_link_libraries(alkimia ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${GMP_LIBRARIES})

set_target_properties(alkimia PROPERTIES VERSION ${ALKIMIA_LIB_VERSION} SOVERSION ${ALKIMIA_LIB_SOVERSION})

if (NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.pc IMMEDIATE @ONLY)
endif(NOT WIN32)

########### install files ###############

install(TARGETS alkimia ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES ${alkimia_HEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/alkimia COMPONENT Devel)

install(FILES ${alkimia_CMAKE_MODULES}
        DESTINATION ${DATA_INSTALL_DIR}/cmake/modules COMPONENT Devel)

if (NOT WIN32)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)
########### documentation ###################

# check for Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory(${APIDOC_DIR})

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)

  add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
endif(DOXYGEN_FOUND)

########### tests ###################

set( alkvaluetest_SRCS alkvaluetest.cpp )
set( alkquoteitemtest_SRCS alkquoteitemtest.cpp )
set( alkcompanytest_SRCS alkcompanytest.cpp )
kde4_add_unit_test( alkvaluetest TESTNAME alkimia-alkvalue ${alkvaluetest_SRCS} )
kde4_add_unit_test( alkquoteitemtest TESTNAME alkimia-alkquoteitem ${alkquoteitemtest_SRCS} )
kde4_add_unit_test( alkcompanytest TESTNAME alkimia-alkcompany ${alkcompanytest_SRCS} )
target_link_libraries( alkvaluetest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTTEST_LIBRARY} ${GMP_LIBRARIES})
target_link_libraries( alkquoteitemtest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTTEST_LIBRARY} )
target_link_libraries( alkcompanytest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

=== debian/changelog ===
libalkimia (4.3.2-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove extra ${shlibs:Depends} from libalkimia-dev.
  * Do not disable the tests, even if there are currently no tests.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 20:24:43 +0200

libalkimia (4.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compatibility to 9:
    - bump the debhelper build dependency to >= 9
    - bump compat to 9
  * Add Vcs-Browser and Vcs-Svn headers.
  * Bump the priority of libalkimia-dev to optional.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Switch the libgmp3-dev build dependency (transitional) to libgmp-dev.
  * Enable the parallel build.
  * Make the .install files a bit more specific, and sort them.
  * Move all the development files (cmake and pkg-config) from libalkimia4
    to libalkimia-dev; add proper breaks/replaces for this.
  * Switch section of libalkimia4 to libs.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Sep 2014 19:33:48 +0200

libalkimia (4.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbs missing dependency on pkg-config": add it.
    (Closes: #674212)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jun 2012 15:38:21 +0200

libalkimia (4.3.2-1) unstable; urgency=low

  * New upstream release 
  * Added debian/watch
  * Swap -dev Priority: - package-depends-on-lower-priority-package

 -- Mark Purcell <msp@debian.org>  Sat, 11 Feb 2012 12:57:53 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: libalkimia
-Section: kde
-Priority: extra
+Section: libs
+Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
-Build-Depends: debhelper (>= 7.0.50~), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp3-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp-dev, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://kde-apps.org/content/show.php?content=137323
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk
 
 Package: libalkimia4
 Architecture: any
@@ -17,9 +19,10 @@
 
 Package: libalkimia-dev
 Section: libdevel
-Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libalkimia4 (= ${binary:Version})
+Depends: ${misc:Depends}, libalkimia4 (= ${binary:Version})
+Breaks: libalkimia4 (<< 4.3.2-2~)
+Replaces: libalkimia4 (<< 4.3.2-2~)
 Description: Financial library - Development files
  Libalkimia is a library with common classes and functionality used by
  finance applications for the KDE SC. Currently it supports a common

=== debian/watch ===
version=3
#http://kde-apps.org/content/download.php?content=137323&id=1&tan=95574683
#http://kde-apps.org/CONTENT/content-files/137323-libalkimia-4.3.2.tar.bz2

http://kde-apps.org/content/download.php?content=137323 \
  /CONTENT/content-files/137323-libalkimia-([\d\.]+)\.tar\.(?:gz|bz2).* debian svn-upgrade

## libalkimia 5.0.0

=== CMakeLists.txt ===
# The CMake version we require (must be first)
cmake_minimum_required(VERSION 2.8.9)

project(alkimia)

# setup default CMAKE_INSTALL_PREFIX before calling FIND_PACKAGE(KDE4)
# see https://bugs.kde.org/show_bug.cgi?id=261132
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  execute_process(COMMAND kde4-config --prefix COMMAND tr -d "\n" OUTPUT_VARIABLE KDE4_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "${KDE4_INSTALL_PREFIX}" CACHE PATH
    "Alkimia install prefix defaults to the KDE4 install prefix: ${KDE4_INSTALL_DIR}" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# check for PkgConfig, KDE and GMP
find_package(PkgConfig)
find_package(KDE4 REQUIRED)
find_package(GMP REQUIRED)

include(KDE4Defaults)

add_subdirectory(libalkimia)

=== libalkimia/CMakeLists.txt ===
######################### libalkimia Version ##########################
# The current version of libalkimia (used for packages and config.h)
set(VERSION_MAJOR "5")
set(VERSION_MINOR "0")
set(VERSION_PATCH "0")

# The CMake version we require
cmake_minimum_required(VERSION 2.8.7)

set(ALKIMIA_LIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
set(ALKIMIA_LIB_SOVERSION "${VERSION_MAJOR}")

find_package(KDE4 4.6.0 REQUIRED)

include( KDE4Defaults )
include( GenerateExportHeader )

include_directories(${KDE4_INCLUDES})
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(alkimia_LIB_SRCS
  alkvalue.cpp
  alkquoteitem.cpp
  alkcompany.cpp
  )

set(alkimia_HEADERS
  alkvalue.h
  alkquoteitem.h
  alkcompany.h
  ${CMAKE_CURRENT_BINARY_DIR}/alk_export.h
  )

kde4_add_library(alkimia SHARED ${alkimia_LIB_SRCS})

generate_export_header(alkimia BASE_NAME alk)

target_link_libraries(alkimia LINK_PUBLIC ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${GMP_LIBRARIES})

set_target_properties(alkimia PROPERTIES VERSION ${ALKIMIA_LIB_VERSION} SOVERSION ${ALKIMIA_LIB_SOVERSION})

if (NOT WIN32)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.pc IMMEDIATE @ONLY)
endif(NOT WIN32)

########### create package configuration file ###########

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/LibAlkimia")

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimiaConfigVersion.cmake"
  VERSION ${ALKIMIA_LIB_VERSION}
  COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/LibAlkimiaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimiaConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

########### install files ###############

install(TARGETS alkimia
        EXPORT  alkimiaTargets
        ${INSTALL_TARGETS_DEFAULT_ARGS}
        )

export( TARGETS alkimia
        FILE "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimiaTargets.cmake"
        NAMESPACE Alkimia::
      )

install( EXPORT alkimiaTargets
         FILE LibAlkimiaTargets.cmake
         NAMESPACE Alkimia::
         DESTINATION ${CMAKECONFIG_INSTALL_DIR}
       )

install(FILES ${alkimia_HEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/alkimia
        COMPONENT Devel)

install(FILES
          "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimiaConfig.cmake"
          "${CMAKE_CURRENT_BINARY_DIR}/LibAlkimiaConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

if (NOT WIN32)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.pc
          DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

########### documentation ###################

# check for Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory(${APIDOC_DIR})

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libalkimia.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen IMMEDIATE)

  add_custom_target(libalkimia_apidoc ${DOXYGEN} ${CMAKE_CURRENT_BINARY_DIR}/libalkimia.doxygen)
endif(DOXYGEN_FOUND)

########### tests ###################

set( alkvaluetest_SRCS alkvaluetest.cpp )
set( alkquoteitemtest_SRCS alkquoteitemtest.cpp )
set( alkcompanytest_SRCS alkcompanytest.cpp )
kde4_add_unit_test( alkvaluetest TESTNAME alkimia-alkvalue ${alkvaluetest_SRCS} )
kde4_add_unit_test( alkquoteitemtest TESTNAME alkimia-alkquoteitem ${alkquoteitemtest_SRCS} )
kde4_add_unit_test( alkcompanytest TESTNAME alkimia-alkcompany ${alkcompanytest_SRCS} )
target_link_libraries( alkvaluetest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTTEST_LIBRARY} ${GMP_LIBRARIES})
target_link_libraries( alkquoteitemtest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTTEST_LIBRARY} )
target_link_libraries( alkcompanytest alkimia ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} )

=== debian/changelog ===
libalkimia (5.0.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2016 09:40:34 +0200

libalkimia (5.0.0-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit 2e6172a7d723d53ff62fc3eaf2ea7208db0fd0a7 to fix
    AlkValue::operator=(QString); patch
    upstream_Fix-AlkValue-operator-QString-w-valueRef.patch.
  * Update copyright; thanks Scott Kitterman for the notice!

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jun 2016 23:18:52 +0200

libalkimia (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove extra ${shlibs:Depends} from libalkimia-dev.
  * Do not disable the tests.
  * Update watch file.
  * Rename libalkimia4 to libalkimia5 according to the new SONAME.
  * Update install files.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jun 2016 10:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Clay Weber <claydoh@claydoh.com>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev (>= 4:4.4.4), libgmp-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://kde-apps.org/content/show.php?content=137323
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/libalkimia/trunk/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/libalkimia/trunk
 
-Package: libalkimia4
+Package: libalkimia5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Financial library common classes for KDE SC
@@ -20,7 +20,7 @@
 Package: libalkimia-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libalkimia4 (= ${binary:Version})
+Depends: ${misc:Depends}, libalkimia5 (= ${binary:Version})
 Breaks: libalkimia4 (<< 4.3.2-2~)
 Replaces: libalkimia4 (<< 4.3.2-2~)
 Description: Financial library - Development files

=== debian/watch ===
version=4

http://download.kde.org/stable/alkimia/([\d\.]+)/src/libalkimia-([\d\.]+)\.tar\.xz
